Y=[];
for i=1:1:3
    switch i
        case 1
            f='./HMP_stool/ppr_abcOnly/';
            num=10;
        case 2
            f='./HMP_throat/ppr_abcOnly/';
            num=7;
        case 3
            f='./HMP_tongue/ppr_abcOnly/';
            num=10;
    end
    phage_per=[];
    chromosome_per=[];
    plasmid_per=[];
    for j=1:1:num
        phage=0;
        chromosome=0;
        plasmid=0;
        ppr=readtable([f,num2str(j),'_ppr.csv']);
        ppr=table2cell(ppr);
        for k=1:1:size(ppr,1)
            if strcmp(ppr{k,6},'phage')
                phage=phage+1;
            elseif strcmp(ppr{k,6},'chromosome')
                chromosome=chromosome+1;
            elseif strcmp(ppr{k,6},'plasmid')
                plasmid=plasmid+1;
            end
        end
        ALL=phage+chromosome+plasmid;
        phage_per(j)=phage/ALL;
        chromosome_per(j)=chromosome/ALL;
        plasmid_per(j)=plasmid/ALL;
    end
    Y(i,1)=mean(phage_per);
    Y(i,2)=mean(chromosome_per);
    Y(i,3)=mean(plasmid_per);
end
c = categorical({'Stool (Gut)','Throat','Tongue Dorsum'});
bar(c,Y,'stack')
        